--- old/usr/src/uts/common/os/kmem.c	2014-07-28 07:44:49.969786370 -0400
+++ new/usr/src/uts/common/os/kmem.c	2014-07-28 07:44:49.975973241 -0400
@@ -1626,7 +1626,7 @@
 vmem_alloc_failure:
 
 	kmem_log_event(kmem_failure_log, cp, NULL, NULL);
-	atomic_add_64(&cp->cache_alloc_fail, 1);
+	atomic_inc_64(&cp->cache_alloc_fail);
 
 	return (NULL);
 }
@@ -1995,7 +1995,7 @@
 
 	if (mtbf || (construct && cp->cache_constructor != NULL &&
 	    cp->cache_constructor(buf, cp->cache_private, kmflag) != 0)) {
-		atomic_add_64(&cp->cache_alloc_fail, 1);
+		atomic_inc_64(&cp->cache_alloc_fail);
 		btp->bt_bxstat = (intptr_t)bcp ^ KMEM_BUFTAG_FREE;
 		if (cp->cache_flags & KMF_DEADBEEF)
 			copy_pattern(KMEM_FREE_PATTERN, buf, cp->cache_verify);
@@ -2603,7 +2603,7 @@
 
 	if (cp->cache_constructor != NULL &&
 	    cp->cache_constructor(buf, cp->cache_private, kmflag) != 0) {
-		atomic_add_64(&cp->cache_alloc_fail, 1);
+		atomic_inc_64(&cp->cache_alloc_fail);
 		kmem_slab_free(cp, buf);
 		return (NULL);
 	}
@@ -4877,7 +4877,7 @@
 	} else if (cp->cache_constructor != NULL &&
 	    cp->cache_constructor(callback->kmm_to_buf, cp->cache_private,
 	    KM_NOSLEEP) != 0) {
-		atomic_add_64(&cp->cache_alloc_fail, 1);
+		atomic_inc_64(&cp->cache_alloc_fail);
 		KMEM_STAT_ADD(kmem_move_stats.kms_constructor_fail);
 		kmem_slab_free(cp, callback->kmm_to_buf);
 		kmem_move_end(cp, callback);
